Bug 1649945 - C&U: Download button disabled for non-empty Utilization trend summary reports
Summary: C&U: Download button disabled for non-empty Utilization trend summary reports
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.10.0
Assignee: Harpreet Kataria
QA Contact: Nandini Chandra
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-14 21:45 UTC by Nandini Chandra
Modified: 2019-02-12 16:52 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-12 16:52:36 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
screen shot of Utilization trend summary report (84.92 KB, image/png)
2018-11-14 21:45 UTC, Nandini Chandra
no flags Details

Description Nandini Chandra 2018-11-14 21:45:32 UTC
Created attachment 1505814 [details]
screen shot of Utilization trend summary report

Description of problem:
-----------------------
The Download button is disabled for non-empty Utilization trend summary reports.

See attached screen shot.

Version-Release number of selected component (if applicable):
------------------------------------------------------------
5.10.0.23


How reproducible:
-----------------
Always


Steps to Reproduce:
-------------------
1.Manage an infra provider.Enable C&U for the provider.
2.Wait for C&U data to be collected(at least 2 days worth of data)
3.Navigate to the Optimize->Utilization page.Select 'Region'. Click 'Report' tab on the right.


Actual results:
--------------
Download button disabled for Utilization trend summary reports 


Expected results:
-----------------
Download button should be enabled for non-empty Utilization trend summary reports 


Additional info:
----------------

Comment 4 CFME Bot 2018-11-16 20:47:43 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/a98e6945da43db6ee47f5e931edd6307b31e4ff1
commit a98e6945da43db6ee47f5e931edd6307b31e4ff1
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Fri Nov 16 11:18:03 2018 -0500
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Fri Nov 16 11:18:03 2018 -0500

    Fixed to enable the download buttons on Utilization Report tab

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1649945

 app/helpers/application_helper/button/utilization_download.rb | 4 +-
 spec/helpers/application_helper/buttons/utilization_download_spec.rb | 61 +-
 2 files changed, 47 insertions(+), 18 deletions(-)

Comment 5 CFME Bot 2018-11-19 18:26:46 UTC
New commit detected on ManageIQ/manageiq-ui-classic/hammer:

https://github.com/ManageIQ/manageiq-ui-classic/commit/a1cf2639f3d235703f3923e5170aa408f6d8d35e
commit a1cf2639f3d235703f3923e5170aa408f6d8d35e
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Fri Nov 16 15:43:15 2018 -0500
Commit:     Dan Clarizio <dclarizi@redhat.com>
CommitDate: Fri Nov 16 15:43:15 2018 -0500

    Merge pull request #4934 from h-kataria/download_button_fix_for_utilization_report

    Fixed to enable the download buttons on Utilization Report tab

    (cherry picked from commit ced47cd800314a3fde82c30cce2012e01f33c7e1)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1649945

 app/helpers/application_helper/button/utilization_download.rb | 4 +-
 spec/helpers/application_helper/buttons/utilization_download_spec.rb | 61 +-
 2 files changed, 47 insertions(+), 18 deletions(-)

Comment 6 Nandini Chandra 2018-12-03 18:29:36 UTC
Verified in 5.10.0.27


Note You need to log in before you can comment on or make changes to this bug.